body{
    font-family: "Microsoft JhengHei", sans-serif;
    background-color: #f2f4f7;
    margin: 0;
    color: #333;
}



header{
    background-color: #34495e;
    color: white;
    text-align: center;
    padding: 20px;
}

h1{
    font-size: 36px;
}



nav ul{
    list-style: none;
    padding: 0;
}

nav li{
    display: inline-block;
    margin: 5px;
}

nav a{
    text-decoration: none;
    background-color: #3498db;
    color: white;
    padding: 8px 15px;
    border-radius: 5px;
}


nav a:hover{
    background-color: #1f78b4;
}



main{
    width: 900px;
    margin: auto;
}

section{
    background: white;
    margin: 20px 0;
    padding: 20px;
}



#about img{
    border-radius: 10px;
}



.title{
    color: #2c3e50;
}

.highlight{
    color: red;
    font-weight: bold;
}



a{
    color: #2980b9;
}

a:hover{
    text-decoration: underline;
}

a:visited{
    color: purple;
}



.external::after{
    content: " ↗";
}



footer{
    background: #34495e;
    color: white;
    text-align: center;
    padding: 10px;
}